#!/usr/bin/env python
import coral

a=coral.lang.UML14.Action(name="MYAction")

s1=coral.lang.UML14.SimpleState(name="S1")
s2=coral.lang.UML14.SimpleState(name="S2")

s1.entry=a

assert s1.entry==a

s2.entry=a

assert s2.entry==a

assert s1.entry is None

s1.exit=a

assert s1.exit==a
assert s2.entry is None
assert s1.entry is None
